Bug 66484 - annoying "$" in output
annoying "$" in output
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: squid (Show other bugs)
1.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-11 03:03 EDT by josef radinger
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-02 04:55:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to remove "$" (678 bytes, patch)
2002-11-26 08:38 EST, josef radinger
no flags Details | Diff

  None (edit)
Description josef radinger 2002-06-11 03:03:13 EDT
hi,

in /etc/rc.d/init.d/squid there are several echo-lines starting with:
echo $"blabla..."

the lines are:
echo -n $"Starting $prog: "
echo -n  $"Stopping $prog: "
echo $"Usage: $0 {start|stop|status|reload|restart|condrestart}"

why would one use $ in front off the text?

yours josef
Comment 1 Bill Nottingham 2002-07-08 16:59:50 EDT
Fixed in the current errata.
Comment 2 josef radinger 2002-11-26 08:38:35 EST
Created attachment 86524 [details]
patch to remove "$"
Comment 3 josef radinger 2002-11-26 08:45:12 EST
reopened as the "$" are there again
Comment 4 Bill Nottingham 2002-11-26 11:29:46 EST
I've downloaded the errata packages (squid-2.4.STABLE6-6.6.2) and checked it.
They are not there.
Comment 5 josef radinger 2002-12-02 04:54:59 EST
sorry for my lack off giving you full infos.
the "$" is back in rawhide and 8.0 at least.

you fixed it in 6.2, and i forgot to set the correct version while reporting.

yours
josef
Comment 6 Bill Nottingham 2002-12-02 12:51:59 EST
The echo $"..." functionality is present in 8.0 (and actually many previous
releases.)

Note You need to log in before you can comment on or make changes to this bug.